
#ifndef CCRYPT_VIDEO_H
#define CCRYPT_VIDEO_H
#include <windows.h>


int initDdraw(HWND hwnd, char* errorbuf);
void uninitDdraw(void);
int DdrawChangeCoopLevel(bool windowed);
void DdrawsetSrcSize(int swidth, int sheight);
void DdrawWindowChanged(void);
void DdrawCheckAspectRatio(void);
void DdrawCopyBackToFront(void);
void DdrawTranslateToSrcRect(int& x, int &y);


void lockDisplay(void);
void unlockDisplay(void);

unsigned char* getPixelPtr(int& pitch, int& bbp);

void clearDisplay(void);


void putPixel(int x, int y, unsigned char red, unsigned char green, unsigned char blue);

void drawText(int x, int y, const char* s, COLORREF color=RGB(255,255,255));

void drawPixels(int x, int y, RGBTRIPLE* pixels, int nbr_pixels);

int writeBMP(const char* filename);
int writeBMP(const char* filename, unsigned char* raw_data,
  int width, int height);


#endif
